! test branch target
! R834 - 844

PROGRAM E8

PARAMETER (N=10)


CC: DO i=1,N

        DO 50 j=1,N
!error Cycle statement not in scope of do construct name
                CYCLE DD
!error Exit statement not in scope of do construct name
                EXIT  EE

50      continue

    ENDDO CC

!error Cycle statement not in scope any of do construct .
CYCLE
!error Exit statement not in scope any of do construct
EXIT

!error label must be defined
	ASSIGN 10 TO j
20      goto i
        goto i(10,20)

	stop i
        stop N
        stop 'sdfds'

!error Initialization expression expected 
	pause i
!error Stop code of stop or pause statement must be a character constant .
        pause N
        pause 'safddsaf'

END

